> For the complete documentation index, see [llms.txt](https://docs.docbits.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.docbits.com/deutsch/advanced-functions-and-tools/docbits-mcp/docflow-mcp.md).

# DocFlow MCP

DocFlow stellt einen **Model Context Protocol (MCP)**-Server bereit, mit dem KI-Assistenten Workflows und Partner-Karten programmatisch verwalten koennen. Jeder MCP-kompatible Client -- Claude Code, Claude Desktop, OpenAI Codex oder benutzerdefinierte Integrationen -- kann sich verbinden und diese Tools nutzen.

## Was koennen Sie tun?

Mit DocFlow MCP koennen Sie:

* **Erweiterte Workflows auflisten, erstellen, aktualisieren und loeschen**
* **Workflows testen** mit echten oder simulierten Dokumenten
* **Benutzerdefinierte Karten erstellen** mit dem Partner Card SDK
* **Partner-Karten-Einreichungen validieren, testen, genehmigen und verwalten**
* **Karten importieren** direkt aus GitHub-Repositories

## Tools-Uebersicht

DocFlow MCP bietet **18 Tools** in vier Kategorien:

### Workflow-Verwaltung

| Tool              | Beschreibung                                             |
| ----------------- | -------------------------------------------------------- |
| `list_workflows`  | Alle Workflows der aktuellen Organisation auflisten      |
| `get_workflow`    | Details eines bestimmten Workflows anhand der ID abrufen |
| `delete_workflow` | Einen Workflow anhand der ID loeschen                    |

### Workflow-Tests

| Tool                     | Beschreibung                                              |
| ------------------------ | --------------------------------------------------------- |
| `test_advanced_workflow` | Einen erweiterten Workflow mit optionalem Dokument testen |
| `list_test_scenarios`    | Alle Workflow-Testszenarien auflisten                     |
| `list_cards`             | Verfuegbare Workflow-Karten/Aktionen auflisten            |

### Card SDK Verwaltung

| Tool                        | Beschreibung                                        |
| --------------------------- | --------------------------------------------------- |
| `sdk_list_submissions`      | Alle Partner-Karten-Einreichungen auflisten         |
| `sdk_get_submission_status` | Validierungsstatus einer Einreichung abrufen        |
| `sdk_approve_card`          | Eine validierte Partner-Karte genehmigen (Admin)    |
| `sdk_reject_card`           | Eine Partner-Karten-Einreichung ablehnen (Admin)    |
| `sdk_delete_submission`     | Eine Einreichung deaktivieren oder loeschen (Admin) |
| `sdk_list_cards_picker`     | Alle aktivierten Karten mit Rollen-Flags auflisten  |

### Card SDK Entwicklung

| Tool                | Beschreibung                                    |
| ------------------- | ----------------------------------------------- |
| `sdk_create_card`   | Eine neue Partner-Karte aus Quellcode erstellen |
| `sdk_validate_card` | 5-stufige Validierung ohne Speichern ausfuehren |
| `sdk_test_card`     | Eine Karte in einer Sandbox-Umgebung ausfuehren |
| `sdk_import_github` | Eine Partner-App von GitHub importieren         |

## Erste Schritte

1. [Richten Sie Ihren MCP-Client ein](/deutsch/advanced-functions-and-tools/docbits-mcp/docflow-mcp/setup-and-configuration.md)
2. Erfahren Sie mehr ueber [Workflow-Tools](/deutsch/advanced-functions-and-tools/docbits-mcp/docflow-mcp/workflow-tools.md)
3. Entdecken Sie die [Card-SDK-Werkzeuge](/deutsch/advanced-functions-and-tools/docbits-mcp/docflow-mcp/card-sdk-tools.md)
4. Folgen Sie den End-to-End-[Beispielen](/deutsch/advanced-functions-and-tools/docbits-mcp/docflow-mcp/examples.md)

{% hint style="info" %}
DocFlow MCP verwendet **Streamable HTTP**-Transport. Der Server-Endpunkt ist `/api/mcp/` auf Ihrem DocBits-API-Host.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.docbits.com/deutsch/advanced-functions-and-tools/docbits-mcp/docflow-mcp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
